*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
:root{
    scroll-behavior: smooth;
}

body{
    font-family: 'Open Sans', sans-serif;
    min-height: 1200px;
    margin: 0;
}
.contentas {
    display: flex;
    align-items: center;
    padding: 20px;
    background-color: #ffffff;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    
   
}
.contentasa {
    display: flex;
    align-items: center;
    padding: 30px;
    background-color: #000000;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}
.left-text {
   opacity: 0.7;
   background-color: #000000;
    margin-top:45%;
    border-radius: 5px;
   
}
.cont-externo{

    border: 5px solid #000000;
    padding: 20px;
    background-image: url(img/izq.jpg);
    background-size: 100% 100%;
    flex: 1;
    border-radius: 5px;
    height: 700px;
}
.right-text {
    flex: 1;
    padding: 20px;
    border: 5px solid #000000;
    border-radius: 5px;
    height: 700px; 
    overflow: hidden;
    
}
.left-texto {
    flex: 1;
    padding: 20px;
    
}
.right-texto{
    flex: 1;
    padding: 20px;
    justify-content: center;
}
.video-container {
    flex:1;
    margin: 0 10px;
    position: relative;
    width: 30%;
    padding-bottom: 47.25%; 
}
.video-container iframe,.video-container object,.video-container embed {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.contenedor{
    width: 90%;
    max-width: 1200px;
    overflow: hidden;
    margin: auto;
    padding: 60px 0;
}

.header{
    height: 70vh;
    background-image:  url(img/proyecpriva4.jpg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
      
}

.asas{
    position:absolute;
    top:45px;
    right: 15px;
    padding: 5px;

}
.hamburguer{
    position:fixed;
    top: 10px;
    right: 30px;
    background: #fff;
    width: 40px;
    height: 40px;
    cursor: pointer;
    border-radius: 10px;
    box-shadow: 0 0 6px rgba(0, 0, 0, .5);
}

.menu-navegacion{
    position: fixed;
    top: 0;
    width: 10vw;
    height: 100%;
    /* background-image: linear-gradient(to top, #fbc2eb 0%, #a6c0ee 100%); */
    /* 02 */
    background-image: linear-gradient(to top, #d1cc8c 0%, #fbf1c2 100%);
    /* 028 */
    background-image: linear-gradient(135deg, #e3c964 0%, #fed047 100%);
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    right: 0;
    transform: translateX(110%);
    transition:transform 0.3s ease-in-out;
    
}

.spread{
    transform: translateX(0);
}

.menu-navegacion a{
    color: #000000;
    text-decoration: none;
}

.cont-expert a{
    color: #000000;
    text-decoration: none;
} 
.cont-expert img{
width: auto;
height: 120px;
}


/* Services */

.subtitulo{
    color: #000000;
    font-size: 40px;
    text-align: center;
    margin-bottom: 30px;
    font-weight:bold;
}
.subtitulo2{
    color: #000000;
    font-size: 40px;
    text-align: center;
    margin-bottom: 30px;
    font-weight:bold;
}
.subtitulo3{
    color: #fed047;
    font-size: 40px;
    text-align:center;
    margin-bottom: 20px;
    font-weight:bold;
    text-transform: uppercase;
}
.subtitulo4{
    color: #fed047;
    font-size: 40px;
    text-align:center;
    margin-bottom: 20px;
    margin-top: 20px;
    font-weight:bold;
    text-transform: uppercase;
}




.n-service{
    margin-bottom: 7px;
    color: #000000;
    text-transform: uppercase;
    
}

.number{
    display: inline-block;
    /* 02 */
    background-image: linear-gradient(to top, #fed047 0%, #fed047 100%);
    line-height: 30px;
    text-align: center;
    border-radius: 50%;
    margin-right: 5px;
    width: 30px;
    height: 30px;
    color: #000000;
   
}

.gallery{
    background: #f2f2f2;
}

.contenedor-galeria{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    margin-top: 30px;
}

.img-galeria{
    width: 30%;
    display: block;
    margin-bottom: 15px;
    box-shadow: 0 0 6px rgba(0, 0, 0, .6);
    cursor: pointer;
}

.imagen-light{
    position: fixed;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: rgba(0, 0, 0, 0.534);
    transform: translate(100%);
    transition: transform .2s ease-in-out;
}

.agregar-imagen{
    width: 60%;
    transform: scale(0);
    border-radius: 10px;
    transition: transform .3s .2s;
}

.showImage{
    transform: scale(1);
}

.show{
    transform: translate(0);
}

.close{
    position: absolute;
    top: 15px;
    right: 15px;
    width: 40px;
    cursor: pointer;
}

.experts{
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    align-items: center;
}

.cont-expert{
    width: 20%;
    text-align: center;
    margin-bottom: 20px;
  
}

.cont-expert img{
    display: block;
    margin: auto;
    width: 80%;
}
.cont-expertas img{
    display: block;
    margin: auto;
    width: 100%;
    margin-top: 50px;
}
.n-expert{
    width: 100%;
    display: inline-block;
    margin-top: 40px;
    font-weight: 400;
}

footer{
    background: #000000;
    padding-bottom: 0.1px;
    display: flex;
    flex-direction: column;
    height: 100vh;
    margin: 0;
}

.footer-content{
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    padding-top: 60px;
    padding-bottom: 40px;
}


.contact-us{
    width: 60%;
    color: #fff;
}
.contact-uso{
    width: 90%;
    color: #fff;
}
.brand{
    font-weight: 500;
    font-size: 40px;
}

.brand+p{
    font-weight: 500;
}

.social-media{
    width: 50%;
    display: flex;
    justify-content: flex-end;
    
    
}

.social-media-icon{
    display: inline-block;
    margin-left: 20px;
    width: 60px;
    height: 60px;
    border: 1px solid #fff;
    border-radius: 50%;
    text-align: center;
    color: #fff;
    background: #000000;
    
}

.social-media-icon i{
    font-size: 30px;
    line-height: 60px;
}

.line{
    width: 90%;
    max-width: 1200px;
    margin: auto;
    height: 2px;
    background: #fff;
    margin-bottom: 60px;
}
.line2{
    border: none;
    background: linear-gradient(to right, #000000, #e3c964, #fed047);
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    height: 9px;
    transition: background-color 0.9s ease;
    

}
.line2:hover {
    background:linear-gradient(to right, #fed047, #e3c964, #000000); /* Color al pasar el cursor */
}

.social-media-icon:hover{
    background: #fff;
    color:#000096;
}

@media screen and (max-width: 800px){
    .menu-navegacion{
        width: 50vw;
    }

    .titulo{
        font-size: 40px;
    }

    .contenedor-servicio img{
        width: 80%;
        margin-bottom: 40px;
    }
    
    .checklist-servicio{
        width: 80%;
    }

    .service{
        margin-bottom: 30px;
    }

    .img-galeria{
        width: 45%;
    }
    
    .agregarImagen{
        width: 80%;
    }

    
    .cont-expert{
        width: 80%;
    }
    
    .footer-content{
        justify-content: center;
    }

    .social-media{
        width: 80%;
        justify-content: space-evenly;
    }

    .social-media-icon{
        margin-left: 0;
    }

    .contact-us{
        text-align: center;
        width: 80%;
        margin-bottom: 40px;
    }
    
}


@media screen and (max-width: 500px){
    .menu-navegacion{
        width: 65vw;
    }

    .hamburguer{
        top: 20px;
        right: 20px;
    }

    .titulo{
        font-size: 30px;
    }

    .subtitulo{
        font-size: 30px;
    }

    .img-galeria{
        width: 95%;
    }
    
    .agregar-imagen{
        width: 90%;
    }

    .social-media{
        width: 100%;
        justify-content: space-evenly;
    }

    .social-media-icon{
        margin-left: 0;
    }

    .contact-us{
        text-align: center;
        width: 95%;
        margin-bottom: 40px;
    }
    
    .right-text{
        font-size: 14px;
        max-width: 100%;
        height: 100%;
        margin-top: 10px;
    }
   
}

@media screen and (max-width: 1000px){
    .contentas{
        display: block;
        text-align: center;
    }
    .video-container{
        width: 100%;
        max-width: 1920px;
        margin: 0 auto;
        position: relative;
        padding-top: 56.25%; /* 16:9 Aspect Ratio */
        margin-top: 10px;

    }
    .contentasa{
        display: block;
        text-align: center;
    }
   
}
@media screen and (max-width: 600px){
    .social-media{
        display: block;
        border: 2px dashed #000000; /* Borde rayado, color azul */
        
       }
       .menu-navegacion{
         width: 25vw;
         height: 100%;

       }
}